﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ZedGraph;

namespace GridVoronoiGame
{
    public partial class diagram : Form
    {
        Random random = new Random();
        public diagram()
        {
            InitializeComponent();
        }

        public void Draw(double[] x, double[] y,Color color,SymbolType symb)
        {
            GraphPane myPane;
            myPane = zgc.GraphPane;
            myPane.XAxis.Title.Text = "";
            myPane.YAxis.Title.Text = "";
            myPane.Title.Text = "";
            LineItem myCurve = new LineItem("");
            myCurve = myPane.AddCurve("", x, y, color, symb);
            myCurve.Line.IsVisible = true;
            myCurve.Line.Color = color;
            zgc.AxisChange();
            zgc.Refresh();
        }

        public void Draw(Dictionary<double[],double[]> dic)
        {
            GraphPane myPane;
            myPane = zgc.GraphPane;
            myPane.XAxis.Title.Text = "";
            myPane.YAxis.Title.Text = "";
            myPane.Title.Text = "";
            LineItem myCurve = new LineItem("");
            for (int i = 0; i < dic.Count; i++)
            {
                Color color = Color.FromArgb(random.Next() % 255, random.Next() % 255, random.Next() % 255);
                myCurve = myPane.AddCurve("", dic.Keys.ElementAt(i), dic.Values.ElementAt(i), color, SymbolType.Circle);
                
                myCurve.Line.IsVisible = true;
                myCurve.Line.Color = color;
                zgc.AxisChange();
                zgc.Refresh();
            }
        }
    }
}
